
#  En cas de problèmes avec ScoDoc

## Envoi des données "assistance"

Cette fonction est accessible via un lien en bas de la page d'accueil des
départements. Elle déclenche la copie de la base de données, son anonymisation
(suppression des informations permettant d'identifier les étudiants: les champs
sont effacés ou remplacés par des valeurs aléatoires), et son envoi vers le
serveur des développeurs ScoDoc pour analyse. Il est recommandé d'indiquer les
circonstances du problème rencontré ou de contacter les développeurs sur le salon
Discord.

## Diagnostic détaillé (pour les administrateurs)

Informations destinées aux administrateurs ayant un accès direct (ssh, root) au serveur.

## Récupération et envoi d'informations de diagnostic 

Un script permet de générer quelques informations sur votre configuration pour
les envoyer aux développeurs: logs, modifications du code source, version Linux
installée etc.

```
# en tant que root sur le serveur:
cd /opt/scodoc/tools
./diagnostic.sh -a -n
```

Ce script génère un fichier `tgz`.

Si on n'indique pas l'option `-n`, il essaie immédiatement de l'envoyer par mail aux
développeurs. Il est fréquent que l'envoi de mail ne fonctionne pas: fichier
trop volumineux ou filtrage des mails. Dans ce cas, le copier et le transmettre
par un autre moyen (cloud, ...).

Ce fichier est dans `/tmp` et son nom exact est affiché par le script:

```ScoDoc diagnostic: informations about your system will be sent to emmanuel.viennet@univ-paris13.fr
and left in /tmp/scodoc-2016-09-05-1504631964
```
