### formation-export

#### GET /formation/1/export
```json
{
    "acronyme": "BUT R&T",
    "code_specialite": "",
    "commentaire": "",
    "departement": {
        "acronym": "TAPI",
        "date_creation": "2022-08-20T12:00:00.000000+02:00",
        "dept_name": "TAPI",
        "description": null,
        "id": 1,
        "visible": true
    },
    "formation_code": "V1RET",
    "refcomp_specialite": "RT",
    "refcomp_type_titre": "B.U.T.",
    "refcomp_version_orebut": "2021-12-11 00:00:00",
    "referentiel_competence_id": 1,
    "titre": "BUT R&T",
    "titre_officiel": "Bachelor technologique r\u00e9seaux et t\u00e9l\u00e9communications",
    "type_parcours": 700,
    "ue": [
        {
            "acronyme": "RT1.1",
            "code_apogee": "",
            "coef_rcue": 1.0,
            "coefficient": 0.0,
            "color": "#B80004",
            "ects": 12.0,
            "is_external": false,
            "matiere": [
                {
                    "module": [
                        {
                            "abbrev": "Init aux r\u00e9seaux informatiques",
                            "app_critiques": {},
                            "code": "R101",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "12.0",
                                    "ue_reference": "1"
                                },
                                {
                                    "coef": "4.0",
                                    "ue_reference": "2"
                                },
                                {
                                    "coef": "4.0",
                                    "ue_reference": "3"
                                }
                            ],
                            "ects": "",
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "module_type": 2,
                            "numero": 10,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Initiation aux r\u00e9seaux informatiques"
                        },
                        {
                            "abbrev": "Hygi\u00e8ne informatique",
                            "app_critiques": {},
                            "code": "SAE11",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "16.0",
                                    "ue_reference": "1"
                                }
                            ],
                            "ects": "",
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "module_type": 3,
                            "numero": 10,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Se sensibiliser \u00e0 l&apos;hygi\u00e8ne informatique et \u00e0 la cybers\u00e9curit\u00e9"
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R102",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "12.0",
                                    "ue_reference": "1"
                                }
                            ],
                            "ects": "",
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "module_type": 2,
                            "numero": 20,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Principe et architecture des r\u00e9seaux"
                        },
                        {
                            "abbrev": "R\u00e9seaux locaux",
                            "app_critiques": {},
                            "code": "R103",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "8.0",
                                    "ue_reference": "1"
                                },
                                {
                                    "coef": "4.0",
                                    "ue_reference": "2"
                                }
                            ],
                            "ects": "",
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "module_type": 2,
                            "numero": 30,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "R\u00e9seaux locaux et \u00e9quipements actifs"
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R104",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "8.0",
                                    "ue_reference": "1"
                                },
                                {
                                    "coef": "5.0",
                                    "ue_reference": "2"
                                }
                            ],
                            "ects": "",
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "module_type": 2,
                            "numero": 40,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Fondamentaux des syst\u00e8mes \u00e9lectroniques"
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R106",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "10.0",
                                    "ue_reference": "1"
                                }
                            ],
                            "ects": "",
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "module_type": 2,
                            "numero": 60,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Architecture des syst\u00e8mes num\u00e9riques et informatiques"
                        }
                    ],
                    "numero": 1,
                    "titre": "Administrer les r\u00e9seaux et l\u2019Internet"
                }
            ],
            "numero": 1,
            "parcour": null,
            "reference": 1,
            "semestre_idx": 1,
            "titre": "Administrer les r\u00e9seaux et l\u2019Internet",
            "type": 0,
            "ue_code": "UCOD11"
        },
        {
            "acronyme": "RT2.1",
            "code_apogee": "",
            "coef_rcue": 1.0,
            "coefficient": 0.0,
            "color": "#F97B3D",
            "ects": 8.0,
            "is_external": false,
            "matiere": [
                {
                    "module": [
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "SAE12",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "33.0",
                                    "ue_reference": "1"
                                }
                            ],
                            "ects": "",
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "module_type": 3,
                            "numero": 20,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "S&apos;initier aux r\u00e9seaux informatiques"
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "SAE13",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "33.0",
                                    "ue_reference": "2"
                                }
                            ],
                            "ects": "",
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "module_type": 3,
                            "numero": 30,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "D\u00e9couvrir un dispositif de tranmission"
                        },
                        {
                            "abbrev": "Support de transmission",
                            "app_critiques": {},
                            "code": "R105",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "5.0",
                                    "ue_reference": "2"
                                }
                            ],
                            "ects": "",
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "module_type": 2,
                            "numero": 50,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Support de transmission pour les r\u00e9seaux locaux"
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R110",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "3.0",
                                    "ue_reference": "1"
                                },
                                {
                                    "coef": "5.0",
                                    "ue_reference": "2"
                                },
                                {
                                    "coef": "5.0",
                                    "ue_reference": "3"
                                }
                            ],
                            "ects": "",
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "module_type": 2,
                            "numero": 100,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Anglais g\u00e9n\u00e9ral et init vocabulaire technique"
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R111",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "3.0",
                                    "ue_reference": "1"
                                },
                                {
                                    "coef": "5.0",
                                    "ue_reference": "2"
                                },
                                {
                                    "coef": "4.0",
                                    "ue_reference": "3"
                                }
                            ],
                            "ects": "",
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "module_type": 2,
                            "numero": 110,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Expression-culture-Communication Pro."
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R113",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "5.0",
                                    "ue_reference": "1"
                                },
                                {
                                    "coef": "8.0",
                                    "ue_reference": "2"
                                }
                            ],
                            "ects": "",
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "module_type": 2,
                            "numero": 130,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Math\u00e9matiques du signal"
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R114",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "4.0",
                                    "ue_reference": "1"
                                },
                                {
                                    "coef": "8.0",
                                    "ue_reference": "2"
                                }
                            ],
                            "ects": "",
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "module_type": 2,
                            "numero": 140,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Math\u00e9matiques des transmissions"
                        }
                    ],
                    "numero": 1,
                    "titre": "Connecter les entreprises et les usagers"
                }
            ],
            "numero": 2,
            "parcour": null,
            "reference": 2,
            "semestre_idx": 1,
            "titre": "Connecter les entreprises et les usagers",
            "type": 0,
            "ue_code": "UCOD12"
        },
        {
            "acronyme": "RT3.1",
            "code_apogee": "",
            "coef_rcue": 1.0,
            "coefficient": 0.0,
            "color": "#FEB40B",
            "ects": 10.0,
            "is_external": false,
            "matiere": [
                {
                    "module": [
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "SAE14",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "16.0",
                                    "ue_reference": "3"
                                }
                            ],
                            "ects": "",
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "module_type": 3,
                            "numero": 40,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Se pr\u00e9senter sur Internet"
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "SAE15",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "26.0",
                                    "ue_reference": "3"
                                }
                            ],
                            "ects": "",
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "module_type": 3,
                            "numero": 50,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Traiter des donn\u00e9es"
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "SAE16",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [],
                            "ects": "",
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "module_type": 3,
                            "numero": 60,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Portofolio"
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R107",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "22.0",
                                    "ue_reference": "3"
                                }
                            ],
                            "ects": "",
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "module_type": 2,
                            "numero": 70,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Fondamentaux de la programmation"
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R108",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "6.0",
                                    "ue_reference": "1"
                                },
                                {
                                    "coef": "7.0",
                                    "ue_reference": "3"
                                }
                            ],
                            "ects": "",
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "module_type": 2,
                            "numero": 80,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Base des syst\u00e8mes d&apos;exploitation"
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R109",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "4.0",
                                    "ue_reference": "3"
                                }
                            ],
                            "ects": "",
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "module_type": 2,
                            "numero": 90,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Introduction aux technologies Web"
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R112",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "2.0",
                                    "ue_reference": "1"
                                },
                                {
                                    "coef": "3.0",
                                    "ue_reference": "2"
                                },
                                {
                                    "coef": "4.0",
                                    "ue_reference": "3"
                                }
                            ],
                            "ects": "",
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "module_type": 2,
                            "numero": 120,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "PPP"
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R115",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "2.0",
                                    "ue_reference": "2"
                                },
                                {
                                    "coef": "4.0",
                                    "ue_reference": "3"
                                }
                            ],
                            "ects": "",
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "module_type": 2,
                            "numero": 150,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Gestion de projets"
                        }
                    ],
                    "numero": 1,
                    "titre": "Cre\u0301er des outils et applications informatiques pour les R&amp;T"
                }
            ],
            "numero": 3,
            "parcour": null,
            "reference": 3,
            "semestre_idx": 1,
            "titre": "Cre\u0301er des outils et applications informatiques pour les R&amp;T",
            "type": 0,
            "ue_code": "UCOD13"
        }
    ],
    "version": 1
}
```

#### GET /formation/1/export_with_ids
```json
{
    "acronyme": "BUT R&T",
    "code_specialite": "",
    "commentaire": "",
    "departement": {
        "acronym": "TAPI",
        "date_creation": "2022-08-20T12:00:00.000000+02:00",
        "dept_name": "TAPI",
        "description": null,
        "id": 1,
        "visible": true
    },
    "dept_id": 1,
    "formation_code": "V1RET",
    "formation_id": 1,
    "id": 1,
    "refcomp_specialite": "RT",
    "refcomp_type_titre": "B.U.T.",
    "refcomp_version_orebut": "2021-12-11 00:00:00",
    "referentiel_competence_id": 1,
    "titre": "BUT R&T",
    "titre_officiel": "Bachelor technologique r\u00e9seaux et t\u00e9l\u00e9communications",
    "type_parcours": 700,
    "ue": [
        {
            "acronyme": "RT1.1",
            "code_apogee": "",
            "coef_rcue": 1.0,
            "coefficient": 0.0,
            "color": "#B80004",
            "ects": 12.0,
            "formation_id": 1,
            "id": 1,
            "is_external": false,
            "matiere": [
                {
                    "id": 1,
                    "matiere_id": 1,
                    "module": [
                        {
                            "abbrev": "Init aux r\u00e9seaux informatiques",
                            "app_critiques": {},
                            "code": "R101",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "12.0",
                                    "ue_reference": "1"
                                },
                                {
                                    "coef": "4.0",
                                    "ue_reference": "2"
                                },
                                {
                                    "coef": "4.0",
                                    "ue_reference": "3"
                                }
                            ],
                            "ects": "",
                            "formation_id": 1,
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "id": 1,
                            "matiere_id": 1,
                            "module_id": 1,
                            "module_type": 2,
                            "numero": 10,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Initiation aux r\u00e9seaux informatiques",
                            "ue_id": 1
                        },
                        {
                            "abbrev": "Hygi\u00e8ne informatique",
                            "app_critiques": {},
                            "code": "SAE11",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "16.0",
                                    "ue_reference": "1"
                                }
                            ],
                            "ects": "",
                            "formation_id": 1,
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "id": 2,
                            "matiere_id": 1,
                            "module_id": 2,
                            "module_type": 3,
                            "numero": 10,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Se sensibiliser \u00e0 l&apos;hygi\u00e8ne informatique et \u00e0 la cybers\u00e9curit\u00e9",
                            "ue_id": 1
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R102",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "12.0",
                                    "ue_reference": "1"
                                }
                            ],
                            "ects": "",
                            "formation_id": 1,
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "id": 3,
                            "matiere_id": 1,
                            "module_id": 3,
                            "module_type": 2,
                            "numero": 20,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Principe et architecture des r\u00e9seaux",
                            "ue_id": 1
                        },
                        {
                            "abbrev": "R\u00e9seaux locaux",
                            "app_critiques": {},
                            "code": "R103",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "8.0",
                                    "ue_reference": "1"
                                },
                                {
                                    "coef": "4.0",
                                    "ue_reference": "2"
                                }
                            ],
                            "ects": "",
                            "formation_id": 1,
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "id": 4,
                            "matiere_id": 1,
                            "module_id": 4,
                            "module_type": 2,
                            "numero": 30,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "R\u00e9seaux locaux et \u00e9quipements actifs",
                            "ue_id": 1
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R104",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "8.0",
                                    "ue_reference": "1"
                                },
                                {
                                    "coef": "5.0",
                                    "ue_reference": "2"
                                }
                            ],
                            "ects": "",
                            "formation_id": 1,
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "id": 5,
                            "matiere_id": 1,
                            "module_id": 5,
                            "module_type": 2,
                            "numero": 40,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Fondamentaux des syst\u00e8mes \u00e9lectroniques",
                            "ue_id": 1
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R106",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "10.0",
                                    "ue_reference": "1"
                                }
                            ],
                            "ects": "",
                            "formation_id": 1,
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "id": 6,
                            "matiere_id": 1,
                            "module_id": 6,
                            "module_type": 2,
                            "numero": 60,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Architecture des syst\u00e8mes num\u00e9riques et informatiques",
                            "ue_id": 1
                        }
                    ],
                    "numero": 1,
                    "titre": "Administrer les r\u00e9seaux et l\u2019Internet",
                    "ue_id": 1
                }
            ],
            "niveau_competence_id": null,
            "numero": 1,
            "parcour": null,
            "parcour_id": null,
            "reference": 1,
            "semestre_idx": 1,
            "titre": "Administrer les r\u00e9seaux et l\u2019Internet",
            "type": 0,
            "ue_code": "UCOD11",
            "ue_id": 1
        },
        {
            "acronyme": "RT2.1",
            "code_apogee": "",
            "coef_rcue": 1.0,
            "coefficient": 0.0,
            "color": "#F97B3D",
            "ects": 8.0,
            "formation_id": 1,
            "id": 2,
            "is_external": false,
            "matiere": [
                {
                    "id": 2,
                    "matiere_id": 2,
                    "module": [
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "SAE12",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "33.0",
                                    "ue_reference": "1"
                                }
                            ],
                            "ects": "",
                            "formation_id": 1,
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "id": 7,
                            "matiere_id": 2,
                            "module_id": 7,
                            "module_type": 3,
                            "numero": 20,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "S&apos;initier aux r\u00e9seaux informatiques",
                            "ue_id": 2
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "SAE13",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "33.0",
                                    "ue_reference": "2"
                                }
                            ],
                            "ects": "",
                            "formation_id": 1,
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "id": 8,
                            "matiere_id": 2,
                            "module_id": 8,
                            "module_type": 3,
                            "numero": 30,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "D\u00e9couvrir un dispositif de tranmission",
                            "ue_id": 2
                        },
                        {
                            "abbrev": "Support de transmission",
                            "app_critiques": {},
                            "code": "R105",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "5.0",
                                    "ue_reference": "2"
                                }
                            ],
                            "ects": "",
                            "formation_id": 1,
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "id": 9,
                            "matiere_id": 2,
                            "module_id": 9,
                            "module_type": 2,
                            "numero": 50,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Support de transmission pour les r\u00e9seaux locaux",
                            "ue_id": 2
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R110",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "3.0",
                                    "ue_reference": "1"
                                },
                                {
                                    "coef": "5.0",
                                    "ue_reference": "2"
                                },
                                {
                                    "coef": "5.0",
                                    "ue_reference": "3"
                                }
                            ],
                            "ects": "",
                            "formation_id": 1,
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "id": 10,
                            "matiere_id": 2,
                            "module_id": 10,
                            "module_type": 2,
                            "numero": 100,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Anglais g\u00e9n\u00e9ral et init vocabulaire technique",
                            "ue_id": 2
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R111",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "3.0",
                                    "ue_reference": "1"
                                },
                                {
                                    "coef": "5.0",
                                    "ue_reference": "2"
                                },
                                {
                                    "coef": "4.0",
                                    "ue_reference": "3"
                                }
                            ],
                            "ects": "",
                            "formation_id": 1,
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "id": 11,
                            "matiere_id": 2,
                            "module_id": 11,
                            "module_type": 2,
                            "numero": 110,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Expression-culture-Communication Pro.",
                            "ue_id": 2
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R113",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "5.0",
                                    "ue_reference": "1"
                                },
                                {
                                    "coef": "8.0",
                                    "ue_reference": "2"
                                }
                            ],
                            "ects": "",
                            "formation_id": 1,
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "id": 12,
                            "matiere_id": 2,
                            "module_id": 12,
                            "module_type": 2,
                            "numero": 130,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Math\u00e9matiques du signal",
                            "ue_id": 2
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R114",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "4.0",
                                    "ue_reference": "1"
                                },
                                {
                                    "coef": "8.0",
                                    "ue_reference": "2"
                                }
                            ],
                            "ects": "",
                            "formation_id": 1,
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "id": 13,
                            "matiere_id": 2,
                            "module_id": 13,
                            "module_type": 2,
                            "numero": 140,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Math\u00e9matiques des transmissions",
                            "ue_id": 2
                        }
                    ],
                    "numero": 1,
                    "titre": "Connecter les entreprises et les usagers",
                    "ue_id": 2
                }
            ],
            "niveau_competence_id": null,
            "numero": 2,
            "parcour": null,
            "parcour_id": null,
            "reference": 2,
            "semestre_idx": 1,
            "titre": "Connecter les entreprises et les usagers",
            "type": 0,
            "ue_code": "UCOD12",
            "ue_id": 2
        },
        {
            "acronyme": "RT3.1",
            "code_apogee": "",
            "coef_rcue": 1.0,
            "coefficient": 0.0,
            "color": "#FEB40B",
            "ects": 10.0,
            "formation_id": 1,
            "id": 3,
            "is_external": false,
            "matiere": [
                {
                    "id": 3,
                    "matiere_id": 3,
                    "module": [
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "SAE14",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "16.0",
                                    "ue_reference": "3"
                                }
                            ],
                            "ects": "",
                            "formation_id": 1,
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "id": 14,
                            "matiere_id": 3,
                            "module_id": 14,
                            "module_type": 3,
                            "numero": 40,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Se pr\u00e9senter sur Internet",
                            "ue_id": 3
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "SAE15",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "26.0",
                                    "ue_reference": "3"
                                }
                            ],
                            "ects": "",
                            "formation_id": 1,
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "id": 15,
                            "matiere_id": 3,
                            "module_id": 15,
                            "module_type": 3,
                            "numero": 50,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Traiter des donn\u00e9es",
                            "ue_id": 3
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "SAE16",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [],
                            "ects": "",
                            "formation_id": 1,
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "id": 16,
                            "matiere_id": 3,
                            "module_id": 16,
                            "module_type": 3,
                            "numero": 60,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Portofolio",
                            "ue_id": 3
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R107",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "22.0",
                                    "ue_reference": "3"
                                }
                            ],
                            "ects": "",
                            "formation_id": 1,
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "id": 17,
                            "matiere_id": 3,
                            "module_id": 17,
                            "module_type": 2,
                            "numero": 70,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Fondamentaux de la programmation",
                            "ue_id": 3
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R108",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "6.0",
                                    "ue_reference": "1"
                                },
                                {
                                    "coef": "7.0",
                                    "ue_reference": "3"
                                }
                            ],
                            "ects": "",
                            "formation_id": 1,
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "id": 18,
                            "matiere_id": 3,
                            "module_id": 18,
                            "module_type": 2,
                            "numero": 80,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Base des syst\u00e8mes d&apos;exploitation",
                            "ue_id": 3
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R109",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "4.0",
                                    "ue_reference": "3"
                                }
                            ],
                            "ects": "",
                            "formation_id": 1,
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "id": 19,
                            "matiere_id": 3,
                            "module_id": 19,
                            "module_type": 2,
                            "numero": 90,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Introduction aux technologies Web",
                            "ue_id": 3
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R112",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "2.0",
                                    "ue_reference": "1"
                                },
                                {
                                    "coef": "3.0",
                                    "ue_reference": "2"
                                },
                                {
                                    "coef": "4.0",
                                    "ue_reference": "3"
                                }
                            ],
                            "ects": "",
                            "formation_id": 1,
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "id": 20,
                            "matiere_id": 3,
                            "module_id": 20,
                            "module_type": 2,
                            "numero": 120,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "PPP",
                            "ue_id": 3
                        },
                        {
                            "abbrev": "",
                            "app_critiques": {},
                            "code": "R115",
                            "code_apogee": "",
                            "coefficient": 1.0,
                            "coefficients": [
                                {
                                    "coef": "2.0",
                                    "ue_reference": "2"
                                },
                                {
                                    "coef": "4.0",
                                    "ue_reference": "3"
                                }
                            ],
                            "ects": "",
                            "formation_id": 1,
                            "heures_cours": 0.0,
                            "heures_td": 0.0,
                            "heures_tp": 0.0,
                            "id": 21,
                            "matiere_id": 3,
                            "module_id": 21,
                            "module_type": 2,
                            "numero": 150,
                            "parcours": [],
                            "semestre_id": 1,
                            "titre": "Gestion de projets",
                            "ue_id": 3
                        }
                    ],
                    "numero": 1,
                    "titre": "Cre\u0301er des outils et applications informatiques pour les R&amp;T",
                    "ue_id": 3
                }
            ],
            "niveau_competence_id": null,
            "numero": 3,
            "parcour": null,
            "parcour_id": null,
            "reference": 3,
            "semestre_idx": 1,
            "titre": "Cre\u0301er des outils et applications informatiques pour les R&amp;T",
            "type": 0,
            "ue_code": "UCOD13",
            "ue_id": 3
        }
    ],
    "version": 1
}
```

